Subject: [rohc] Mode transition fallback

From: "Simon Kamenkovich" <[email-masked]>
Date: Mon, 17 Sep 2007 03:53:28 -0700

Guys,
I have a question about mode transition procedure.
 
What whould happen if the decompressor does not receive any mode
transtion confirming packets, staying in D_TRANS = P, forever?.
There is no  time out defined, is it?
 
Regards
Simon
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Biplab Sarkar <[email-masked]>
Date: Mon, 17 Sep 2007 17:04:29 +0530

Simon,

If the decompressor is in D_TRANS=P state, it will acknowledge ONLY
IR,IR_DYN,UOR-2 pkts. Any thing else should be NACKed.
This will enforce the decompressor to come out of this scenario.

Thanks
Biplab

---

From: [email-masked]
Date: Mon, 17 Sep 2007 13:45:13 +0200

Hi Simon,

As Biplab explained, the decompressor should (re)send feedback when in 
D_TRANS=P state, of which type depends on what packet is being received. The 
FEEDBACK-2 will carry mode information.

You can also look at section 3 in RFC4815:
http://www.ietf.org/rfc/rfc4815.txt?number=4815 

I believe you may find some useful guidance there about improving mode 
transitions and avoiding possible "deadlock" situations.

Cheers,

///Ghyslain